Bug 145880 - slapd crashes when dereferencing an alias
slapd crashes when dereferencing an alias
Status: CLOSED DUPLICATE of bug 156063
Product: Fedora
Classification: Fedora
Component: openldap (Show other bugs)
3
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Jan Safranek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-01-22 19:14 EST by Frans King
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-05-24 10:04:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
slapd -d 5 output (1.53 KB, text/plain)
2005-01-22 19:16 EST, Frans King
no flags Details

  None (edit)
Description Frans King 2005-01-22 19:14:40 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1; 
SV1; .NET CLR 1.1.4322)

Description of problem:
slapd crashes with "*** glibc detected *** double free or corruption 
(fasttop): 0x09fc0150 ***" when trying to dereference an alias:

e.g. 

dn: cn=xxx,ou=Mail,ou=Services,dc=f333,dc=net
objectClass: alias
objectClass: extensibleObject
aliasedObjectName: cn=xxx,ou=People,dc=f333,dc=net
cn: xxx

I can click on the alias fine the first time and it is dereferenced 
correctly the first time, but a refresh causes slapd to crash.

(see attached output from slapd -d 5)

Version-Release number of selected component (if applicable):
2.2.13-2

How reproducible:
Always

Steps to Reproduce:
1. Create an alias
2. Turn on dereferencing in any ldap query tool (JExplorer/ or 
saslauthd)
3. View the alias (should be dereferenced correctly)
4. View it again (refresh)

Actual Results:  slapd crashes with ouput varying from glibc detected 
*** double free or corruption to malloc and ch_malloc errors

Expected Results:  slapd should not crash

Additional info:
Comment 1 Frans King 2005-01-22 19:16:43 EST
Created attachment 110097 [details]
slapd -d 5 output
Comment 2 Frans King 2005-01-22 20:42:51 EST
The same alias works with the BDB backend. LDBM does not work though.
Comment 3 Matthew Miller 2006-07-10 16:30:22 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!
Comment 4 Jan Safranek 2007-05-24 10:04:14 EDT

*** This bug has been marked as a duplicate of 156063 ***

Note You need to log in before you can comment on or make changes to this bug.